{"openapi":"3.1.0","info":{"title":"Ned.nl API","description":"This application enables you retrieve the energy data of Ned.nl\n\nImplementation: \nYou can download the full OpenApi specification files here: [Open API v3.0](\/v1\/docs.json?spec_version=3)","version":"0.1.0"},"servers":[{"url":"\/","description":""}],"paths":{"\/v1\/activities":{"get":{"operationId":"api_activities_get_collection","tags":["Activity"],"responses":{"200":{"description":"Activity collection","content":{"application\/ld+json":{"schema":{"type":"object","properties":{"hydra:member":{"type":"array","items":{"$ref":"#\/components\/schemas\/Activity.jsonld"}},"hydra:totalItems":{"type":"integer","minimum":0},"hydra:view":{"type":"object","properties":{"@id":{"type":"string","format":"iri-reference"},"@type":{"type":"string"},"hydra:first":{"type":"string","format":"iri-reference"},"hydra:last":{"type":"string","format":"iri-reference"},"hydra:previous":{"type":"string","format":"iri-reference"},"hydra:next":{"type":"string","format":"iri-reference"}},"example":{"@id":"string","type":"string","hydra:first":"string","hydra:last":"string","hydra:previous":"string","hydra:next":"string"}},"hydra:search":{"type":"object","properties":{"@type":{"type":"string"},"hydra:template":{"type":"string"},"hydra:variableRepresentation":{"type":"string"},"hydra:mapping":{"type":"array","items":{"type":"object","properties":{"@type":{"type":"string"},"variable":{"type":"string"},"property":{"type":["string","null"]},"required":{"type":"boolean"}}}}}}},"required":["hydra:member"]}},"application\/hal+json":{"schema":{"type":"object","properties":{"_embedded":{"anyOf":[{"type":"object","properties":{"item":{"type":"array","items":{"$ref":"#\/components\/schemas\/Activity.jsonhal"}}}},{"type":"object"}]},"totalItems":{"type":"integer","minimum":0},"itemsPerPage":{"type":"integer","minimum":0},"_links":{"type":"object","properties":{"self":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"first":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"last":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"next":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"previous":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}}}}},"required":["_links","_embedded"]}},"application\/vnd.api+json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Activity.jsonapi"}}},"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Activity"}}},"application\/xml":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Activity"}}},"text\/xml":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Activity"}}},"text\/csv":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Activity"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Activity"}}}}},"403":{"description":"Forbidden"}},"summary":"Retrieves the collection of Activity resources.","description":"Retrieves the collection of Activity resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"itemsPerPage","in":"query","description":"The number of items per page","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":30,"minimum":0,"maximum":200},"style":"form","explode":false,"allowReserved":false}],"deprecated":false}},"\/v1\/activities\/{id}":{"get":{"operationId":"api_activities_id_get","tags":["Activity"],"responses":{"200":{"description":"Activity resource","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Activity.jsonld"}},"application\/hal+json":{"schema":{"$ref":"#\/components\/schemas\/Activity.jsonhal"}},"application\/vnd.api+json":{"schema":{"$ref":"#\/components\/schemas\/Activity.jsonapi"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Activity"}},"application\/xml":{"schema":{"$ref":"#\/components\/schemas\/Activity"}},"text\/xml":{"schema":{"$ref":"#\/components\/schemas\/Activity"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/Activity"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Activity"}}}},"403":{"description":"Forbidden"},"404":{"description":"Resource not found"}},"summary":"Retrieves a Activity resource.","description":"Retrieves a Activity resource.","parameters":[{"name":"id","in":"path","description":"Activity identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false}},"\/v1\/authorisations":{"get":{"operationId":"api_authorisations_get_collection","tags":["Authorisation"],"responses":{"200":{"description":"Authorisation collection","content":{"application\/ld+json":{"schema":{"type":"object","properties":{"hydra:member":{"type":"array","items":{"$ref":"#\/components\/schemas\/Authorisation.jsonld"}},"hydra:totalItems":{"type":"integer","minimum":0},"hydra:view":{"type":"object","properties":{"@id":{"type":"string","format":"iri-reference"},"@type":{"type":"string"},"hydra:first":{"type":"string","format":"iri-reference"},"hydra:last":{"type":"string","format":"iri-reference"},"hydra:previous":{"type":"string","format":"iri-reference"},"hydra:next":{"type":"string","format":"iri-reference"}},"example":{"@id":"string","type":"string","hydra:first":"string","hydra:last":"string","hydra:previous":"string","hydra:next":"string"}},"hydra:search":{"type":"object","properties":{"@type":{"type":"string"},"hydra:template":{"type":"string"},"hydra:variableRepresentation":{"type":"string"},"hydra:mapping":{"type":"array","items":{"type":"object","properties":{"@type":{"type":"string"},"variable":{"type":"string"},"property":{"type":["string","null"]},"required":{"type":"boolean"}}}}}}},"required":["hydra:member"]}},"application\/hal+json":{"schema":{"type":"object","properties":{"_embedded":{"anyOf":[{"type":"object","properties":{"item":{"type":"array","items":{"$ref":"#\/components\/schemas\/Authorisation.jsonhal"}}}},{"type":"object"}]},"totalItems":{"type":"integer","minimum":0},"itemsPerPage":{"type":"integer","minimum":0},"_links":{"type":"object","properties":{"self":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"first":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"last":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"next":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"previous":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}}}}},"required":["_links","_embedded"]}},"application\/vnd.api+json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Authorisation.jsonapi"}}},"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Authorisation"}}},"application\/xml":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Authorisation"}}},"text\/xml":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Authorisation"}}},"text\/csv":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Authorisation"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Authorisation"}}}}}},"summary":"Retrieves the collection of Authorisation resources.","description":"Retrieves the collection of Authorisation resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"itemsPerPage","in":"query","description":"The number of items per page","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":30,"minimum":0,"maximum":200},"style":"form","explode":false,"allowReserved":false}],"deprecated":false}},"\/v1\/authorisations\/{id}":{"get":{"operationId":"api_authorisations_id_get","tags":["Authorisation"],"responses":{"200":{"description":"Authorisation resource","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Authorisation.jsonld"}},"application\/hal+json":{"schema":{"$ref":"#\/components\/schemas\/Authorisation.jsonhal"}},"application\/vnd.api+json":{"schema":{"$ref":"#\/components\/schemas\/Authorisation.jsonapi"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Authorisation"}},"application\/xml":{"schema":{"$ref":"#\/components\/schemas\/Authorisation"}},"text\/xml":{"schema":{"$ref":"#\/components\/schemas\/Authorisation"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/Authorisation"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Authorisation"}}}},"404":{"description":"Resource not found"}},"summary":"Retrieves a Authorisation resource.","description":"Retrieves a Authorisation resource.","parameters":[{"name":"id","in":"path","description":"Authorisation identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false}},"\/v1\/classifications":{"get":{"operationId":"api_classifications_get_collection","tags":["Classification"],"responses":{"200":{"description":"Classification collection","content":{"application\/ld+json":{"schema":{"type":"object","properties":{"hydra:member":{"type":"array","items":{"$ref":"#\/components\/schemas\/Classification.jsonld"}},"hydra:totalItems":{"type":"integer","minimum":0},"hydra:view":{"type":"object","properties":{"@id":{"type":"string","format":"iri-reference"},"@type":{"type":"string"},"hydra:first":{"type":"string","format":"iri-reference"},"hydra:last":{"type":"string","format":"iri-reference"},"hydra:previous":{"type":"string","format":"iri-reference"},"hydra:next":{"type":"string","format":"iri-reference"}},"example":{"@id":"string","type":"string","hydra:first":"string","hydra:last":"string","hydra:previous":"string","hydra:next":"string"}},"hydra:search":{"type":"object","properties":{"@type":{"type":"string"},"hydra:template":{"type":"string"},"hydra:variableRepresentation":{"type":"string"},"hydra:mapping":{"type":"array","items":{"type":"object","properties":{"@type":{"type":"string"},"variable":{"type":"string"},"property":{"type":["string","null"]},"required":{"type":"boolean"}}}}}}},"required":["hydra:member"]}},"application\/hal+json":{"schema":{"type":"object","properties":{"_embedded":{"anyOf":[{"type":"object","properties":{"item":{"type":"array","items":{"$ref":"#\/components\/schemas\/Classification.jsonhal"}}}},{"type":"object"}]},"totalItems":{"type":"integer","minimum":0},"itemsPerPage":{"type":"integer","minimum":0},"_links":{"type":"object","properties":{"self":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"first":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"last":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"next":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"previous":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}}}}},"required":["_links","_embedded"]}},"application\/vnd.api+json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Classification.jsonapi"}}},"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Classification"}}},"application\/xml":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Classification"}}},"text\/xml":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Classification"}}},"text\/csv":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Classification"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Classification"}}}}},"403":{"description":"Forbidden"}},"summary":"Retrieves the collection of Classification resources.","description":"Retrieves the collection of Classification resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"itemsPerPage","in":"query","description":"The number of items per page","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":30,"minimum":0,"maximum":200},"style":"form","explode":false,"allowReserved":false}],"deprecated":false}},"\/v1\/classifications\/{id}":{"get":{"operationId":"api_classifications_id_get","tags":["Classification"],"responses":{"200":{"description":"Classification resource","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Classification.jsonld"}},"application\/hal+json":{"schema":{"$ref":"#\/components\/schemas\/Classification.jsonhal"}},"application\/vnd.api+json":{"schema":{"$ref":"#\/components\/schemas\/Classification.jsonapi"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Classification"}},"application\/xml":{"schema":{"$ref":"#\/components\/schemas\/Classification"}},"text\/xml":{"schema":{"$ref":"#\/components\/schemas\/Classification"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/Classification"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Classification"}}}},"403":{"description":"Forbidden"},"404":{"description":"Resource not found"}},"summary":"Retrieves a Classification resource.","description":"Retrieves a Classification resource.","parameters":[{"name":"id","in":"path","description":"Classification identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false}},"\/v1\/granularities":{"get":{"operationId":"api_granularities_get_collection","tags":["Granularity"],"responses":{"200":{"description":"Granularity collection","content":{"application\/ld+json":{"schema":{"type":"object","properties":{"hydra:member":{"type":"array","items":{"$ref":"#\/components\/schemas\/Granularity.jsonld"}},"hydra:totalItems":{"type":"integer","minimum":0},"hydra:view":{"type":"object","properties":{"@id":{"type":"string","format":"iri-reference"},"@type":{"type":"string"},"hydra:first":{"type":"string","format":"iri-reference"},"hydra:last":{"type":"string","format":"iri-reference"},"hydra:previous":{"type":"string","format":"iri-reference"},"hydra:next":{"type":"string","format":"iri-reference"}},"example":{"@id":"string","type":"string","hydra:first":"string","hydra:last":"string","hydra:previous":"string","hydra:next":"string"}},"hydra:search":{"type":"object","properties":{"@type":{"type":"string"},"hydra:template":{"type":"string"},"hydra:variableRepresentation":{"type":"string"},"hydra:mapping":{"type":"array","items":{"type":"object","properties":{"@type":{"type":"string"},"variable":{"type":"string"},"property":{"type":["string","null"]},"required":{"type":"boolean"}}}}}}},"required":["hydra:member"]}},"application\/hal+json":{"schema":{"type":"object","properties":{"_embedded":{"anyOf":[{"type":"object","properties":{"item":{"type":"array","items":{"$ref":"#\/components\/schemas\/Granularity.jsonhal"}}}},{"type":"object"}]},"totalItems":{"type":"integer","minimum":0},"itemsPerPage":{"type":"integer","minimum":0},"_links":{"type":"object","properties":{"self":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"first":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"last":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"next":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"previous":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}}}}},"required":["_links","_embedded"]}},"application\/vnd.api+json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Granularity.jsonapi"}}},"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Granularity"}}},"application\/xml":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Granularity"}}},"text\/xml":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Granularity"}}},"text\/csv":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Granularity"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Granularity"}}}}},"403":{"description":"Forbidden"}},"summary":"Retrieves the collection of Granularity resources.","description":"Retrieves the collection of Granularity resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"itemsPerPage","in":"query","description":"The number of items per page","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":30,"minimum":0,"maximum":200},"style":"form","explode":false,"allowReserved":false}],"deprecated":false}},"\/v1\/granularities\/{id}":{"get":{"operationId":"api_granularities_id_get","tags":["Granularity"],"responses":{"200":{"description":"Granularity resource","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Granularity.jsonld"}},"application\/hal+json":{"schema":{"$ref":"#\/components\/schemas\/Granularity.jsonhal"}},"application\/vnd.api+json":{"schema":{"$ref":"#\/components\/schemas\/Granularity.jsonapi"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Granularity"}},"application\/xml":{"schema":{"$ref":"#\/components\/schemas\/Granularity"}},"text\/xml":{"schema":{"$ref":"#\/components\/schemas\/Granularity"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/Granularity"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Granularity"}}}},"403":{"description":"Forbidden"},"404":{"description":"Resource not found"}},"summary":"Retrieves a Granularity resource.","description":"Retrieves a Granularity resource.","parameters":[{"name":"id","in":"path","description":"Granularity identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false}},"\/v1\/granularity_time_zones":{"get":{"operationId":"api_granularity_time_zones_get_collection","tags":["GranularityTimeZone"],"responses":{"200":{"description":"GranularityTimeZone collection","content":{"application\/ld+json":{"schema":{"type":"object","properties":{"hydra:member":{"type":"array","items":{"$ref":"#\/components\/schemas\/GranularityTimeZone.jsonld"}},"hydra:totalItems":{"type":"integer","minimum":0},"hydra:view":{"type":"object","properties":{"@id":{"type":"string","format":"iri-reference"},"@type":{"type":"string"},"hydra:first":{"type":"string","format":"iri-reference"},"hydra:last":{"type":"string","format":"iri-reference"},"hydra:previous":{"type":"string","format":"iri-reference"},"hydra:next":{"type":"string","format":"iri-reference"}},"example":{"@id":"string","type":"string","hydra:first":"string","hydra:last":"string","hydra:previous":"string","hydra:next":"string"}},"hydra:search":{"type":"object","properties":{"@type":{"type":"string"},"hydra:template":{"type":"string"},"hydra:variableRepresentation":{"type":"string"},"hydra:mapping":{"type":"array","items":{"type":"object","properties":{"@type":{"type":"string"},"variable":{"type":"string"},"property":{"type":["string","null"]},"required":{"type":"boolean"}}}}}}},"required":["hydra:member"]}},"application\/hal+json":{"schema":{"type":"object","properties":{"_embedded":{"anyOf":[{"type":"object","properties":{"item":{"type":"array","items":{"$ref":"#\/components\/schemas\/GranularityTimeZone.jsonhal"}}}},{"type":"object"}]},"totalItems":{"type":"integer","minimum":0},"itemsPerPage":{"type":"integer","minimum":0},"_links":{"type":"object","properties":{"self":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"first":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"last":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"next":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"previous":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}}}}},"required":["_links","_embedded"]}},"application\/vnd.api+json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/GranularityTimeZone.jsonapi"}}},"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/GranularityTimeZone"}}},"application\/xml":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/GranularityTimeZone"}}},"text\/xml":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/GranularityTimeZone"}}},"text\/csv":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/GranularityTimeZone"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/GranularityTimeZone"}}}}}},"summary":"Retrieves the collection of GranularityTimeZone resources.","description":"Retrieves the collection of GranularityTimeZone resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"itemsPerPage","in":"query","description":"The number of items per page","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":30,"minimum":0,"maximum":200},"style":"form","explode":false,"allowReserved":false}],"deprecated":false}},"\/v1\/granularity_time_zones\/{id}":{"get":{"operationId":"api_granularity_time_zones_id_get","tags":["GranularityTimeZone"],"responses":{"200":{"description":"GranularityTimeZone resource","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/GranularityTimeZone.jsonld"}},"application\/hal+json":{"schema":{"$ref":"#\/components\/schemas\/GranularityTimeZone.jsonhal"}},"application\/vnd.api+json":{"schema":{"$ref":"#\/components\/schemas\/GranularityTimeZone.jsonapi"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/GranularityTimeZone"}},"application\/xml":{"schema":{"$ref":"#\/components\/schemas\/GranularityTimeZone"}},"text\/xml":{"schema":{"$ref":"#\/components\/schemas\/GranularityTimeZone"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/GranularityTimeZone"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/GranularityTimeZone"}}}},"404":{"description":"Resource not found"}},"summary":"Retrieves a GranularityTimeZone resource.","description":"Retrieves a GranularityTimeZone resource.","parameters":[{"name":"id","in":"path","description":"GranularityTimeZone identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false}},"\/v1\/points":{"get":{"operationId":"api_points_get_collection","tags":["Point"],"responses":{"200":{"description":"Point collection","content":{"application\/ld+json":{"schema":{"type":"object","properties":{"hydra:member":{"type":"array","items":{"$ref":"#\/components\/schemas\/Point.jsonld"}},"hydra:totalItems":{"type":"integer","minimum":0},"hydra:view":{"type":"object","properties":{"@id":{"type":"string","format":"iri-reference"},"@type":{"type":"string"},"hydra:first":{"type":"string","format":"iri-reference"},"hydra:last":{"type":"string","format":"iri-reference"},"hydra:previous":{"type":"string","format":"iri-reference"},"hydra:next":{"type":"string","format":"iri-reference"}},"example":{"@id":"string","type":"string","hydra:first":"string","hydra:last":"string","hydra:previous":"string","hydra:next":"string"}},"hydra:search":{"type":"object","properties":{"@type":{"type":"string"},"hydra:template":{"type":"string"},"hydra:variableRepresentation":{"type":"string"},"hydra:mapping":{"type":"array","items":{"type":"object","properties":{"@type":{"type":"string"},"variable":{"type":"string"},"property":{"type":["string","null"]},"required":{"type":"boolean"}}}}}}},"required":["hydra:member"]}},"application\/hal+json":{"schema":{"type":"object","properties":{"_embedded":{"anyOf":[{"type":"object","properties":{"item":{"type":"array","items":{"$ref":"#\/components\/schemas\/Point.jsonhal"}}}},{"type":"object"}]},"totalItems":{"type":"integer","minimum":0},"itemsPerPage":{"type":"integer","minimum":0},"_links":{"type":"object","properties":{"self":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"first":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"last":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"next":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"previous":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}}}}},"required":["_links","_embedded"]}},"application\/vnd.api+json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Point.jsonapi"}}},"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Point"}}},"application\/xml":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Point"}}},"text\/xml":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Point"}}},"text\/csv":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Point"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Point"}}}}},"403":{"description":"Forbidden"}},"summary":"Retrieves the collection of Point resources.","description":"Retrieves the collection of Point resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"itemsPerPage","in":"query","description":"The number of items per page","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":30,"minimum":0,"maximum":200},"style":"form","explode":false,"allowReserved":false},{"name":"id","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"id[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"identifier","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"name","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"parentpoints","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"parentpoints[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"childpoints","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"childpoints[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"validfrom","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"validfrom[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":true,"allowReserved":false},{"name":"validfrom[before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"validfrom[strictly_before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"validfrom[after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"validfrom[strictly_after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false}],"deprecated":false}},"\/v1\/points\/{id}":{"get":{"operationId":"api_points_id_get","tags":["Point"],"responses":{"200":{"description":"Point resource","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Point.jsonld"}},"application\/hal+json":{"schema":{"$ref":"#\/components\/schemas\/Point.jsonhal"}},"application\/vnd.api+json":{"schema":{"$ref":"#\/components\/schemas\/Point.jsonapi"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Point"}},"application\/xml":{"schema":{"$ref":"#\/components\/schemas\/Point"}},"text\/xml":{"schema":{"$ref":"#\/components\/schemas\/Point"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/Point"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Point"}}}},"403":{"description":"Forbidden"},"404":{"description":"Resource not found"}},"summary":"Retrieves a Point resource.","description":"Retrieves a Point resource.","parameters":[{"name":"id","in":"path","description":"Point identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false}},"\/v1\/types":{"get":{"operationId":"api_types_get_collection","tags":["Type"],"responses":{"200":{"description":"Type collection","content":{"application\/ld+json":{"schema":{"type":"object","properties":{"hydra:member":{"type":"array","items":{"$ref":"#\/components\/schemas\/Type.jsonld"}},"hydra:totalItems":{"type":"integer","minimum":0},"hydra:view":{"type":"object","properties":{"@id":{"type":"string","format":"iri-reference"},"@type":{"type":"string"},"hydra:first":{"type":"string","format":"iri-reference"},"hydra:last":{"type":"string","format":"iri-reference"},"hydra:previous":{"type":"string","format":"iri-reference"},"hydra:next":{"type":"string","format":"iri-reference"}},"example":{"@id":"string","type":"string","hydra:first":"string","hydra:last":"string","hydra:previous":"string","hydra:next":"string"}},"hydra:search":{"type":"object","properties":{"@type":{"type":"string"},"hydra:template":{"type":"string"},"hydra:variableRepresentation":{"type":"string"},"hydra:mapping":{"type":"array","items":{"type":"object","properties":{"@type":{"type":"string"},"variable":{"type":"string"},"property":{"type":["string","null"]},"required":{"type":"boolean"}}}}}}},"required":["hydra:member"]}},"application\/hal+json":{"schema":{"type":"object","properties":{"_embedded":{"anyOf":[{"type":"object","properties":{"item":{"type":"array","items":{"$ref":"#\/components\/schemas\/Type.jsonhal"}}}},{"type":"object"}]},"totalItems":{"type":"integer","minimum":0},"itemsPerPage":{"type":"integer","minimum":0},"_links":{"type":"object","properties":{"self":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"first":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"last":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"next":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"previous":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}}}}},"required":["_links","_embedded"]}},"application\/vnd.api+json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Type.jsonapi"}}},"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Type"}}},"application\/xml":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Type"}}},"text\/xml":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Type"}}},"text\/csv":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Type"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Type"}}}}},"403":{"description":"Forbidden"}},"summary":"Retrieves the collection of Type resources.","description":"Retrieves the collection of Type resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"itemsPerPage","in":"query","description":"The number of items per page","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":30,"minimum":0,"maximum":200},"style":"form","explode":false,"allowReserved":false}],"deprecated":false}},"\/v1\/types\/{id}":{"get":{"operationId":"api_types_id_get","tags":["Type"],"responses":{"200":{"description":"Type resource","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Type.jsonld"}},"application\/hal+json":{"schema":{"$ref":"#\/components\/schemas\/Type.jsonhal"}},"application\/vnd.api+json":{"schema":{"$ref":"#\/components\/schemas\/Type.jsonapi"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Type"}},"application\/xml":{"schema":{"$ref":"#\/components\/schemas\/Type"}},"text\/xml":{"schema":{"$ref":"#\/components\/schemas\/Type"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/Type"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Type"}}}},"403":{"description":"Forbidden"},"404":{"description":"Resource not found"}},"summary":"Retrieves a Type resource.","description":"Retrieves a Type resource.","parameters":[{"name":"id","in":"path","description":"Type identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false}},"\/v1\/users":{"get":{"operationId":"api_users_get_collection","tags":["User"],"responses":{"200":{"description":"User collection","content":{"application\/ld+json":{"schema":{"type":"object","properties":{"hydra:member":{"type":"array","items":{"$ref":"#\/components\/schemas\/User.jsonld-read"}},"hydra:totalItems":{"type":"integer","minimum":0},"hydra:view":{"type":"object","properties":{"@id":{"type":"string","format":"iri-reference"},"@type":{"type":"string"},"hydra:first":{"type":"string","format":"iri-reference"},"hydra:last":{"type":"string","format":"iri-reference"},"hydra:previous":{"type":"string","format":"iri-reference"},"hydra:next":{"type":"string","format":"iri-reference"}},"example":{"@id":"string","type":"string","hydra:first":"string","hydra:last":"string","hydra:previous":"string","hydra:next":"string"}},"hydra:search":{"type":"object","properties":{"@type":{"type":"string"},"hydra:template":{"type":"string"},"hydra:variableRepresentation":{"type":"string"},"hydra:mapping":{"type":"array","items":{"type":"object","properties":{"@type":{"type":"string"},"variable":{"type":"string"},"property":{"type":["string","null"]},"required":{"type":"boolean"}}}}}}},"required":["hydra:member"]}},"application\/hal+json":{"schema":{"type":"object","properties":{"_embedded":{"anyOf":[{"type":"object","properties":{"item":{"type":"array","items":{"$ref":"#\/components\/schemas\/User.jsonhal-read"}}}},{"type":"object"}]},"totalItems":{"type":"integer","minimum":0},"itemsPerPage":{"type":"integer","minimum":0},"_links":{"type":"object","properties":{"self":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"first":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"last":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"next":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"previous":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}}}}},"required":["_links","_embedded"]}},"application\/vnd.api+json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/User.jsonapi"}}},"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/User-read"}}},"application\/xml":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/User-read"}}},"text\/xml":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/User-read"}}},"text\/csv":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/User-read"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/User-read"}}}}}},"summary":"Retrieves the collection of User resources.","description":"Retrieves the collection of User resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"itemsPerPage","in":"query","description":"The number of items per page","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":30,"minimum":0,"maximum":200},"style":"form","explode":false,"allowReserved":false}],"deprecated":false}},"\/v1\/users\/tokenlogin":{"post":{"operationId":"api_userstokenlogin_post","tags":["User"],"responses":[{"description":"Successful login attempt, returning a new token","content":{"application\/ld+json":{"schema":{"type":"object","properties":{"token":{"type":"string"}}}}}},{"description":"Bad credentials","content":{"application\/ld+json":{"schema":{"type":"object","properties":{"code":{"type":"integer","example":401},"message":{"type":"string","example":"Bad credentials"}}}}}}],"summary":"Performs a login attempt, returning the valid User on success","description":"Creates a User resource.","parameters":[{"name":"X-AUTH-TOKEN","in":"header","description":"","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"","content":{"application\/ld+json":{"schema":{"type":"object","description":"Object containing the API token","required":["X-AUTH-TOKEN"],"properties":{"X-AUTH-TOKEN":{"type":"string"}}}}},"required":false},"deprecated":false}},"\/v1\/users\/{id}":{"get":{"operationId":"api_users_id_get","tags":["User"],"responses":{"200":{"description":"User resource","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/User.jsonld-read"}},"application\/hal+json":{"schema":{"$ref":"#\/components\/schemas\/User.jsonhal-read"}},"application\/vnd.api+json":{"schema":{"$ref":"#\/components\/schemas\/User.jsonapi"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/User-read"}},"application\/xml":{"schema":{"$ref":"#\/components\/schemas\/User-read"}},"text\/xml":{"schema":{"$ref":"#\/components\/schemas\/User-read"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/User-read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/User-read"}}}},"404":{"description":"Resource not found"}},"summary":"Retrieves a User resource.","description":"Retrieves a User resource.","parameters":[{"name":"id","in":"path","description":"User identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false}},"\/v1\/utilizations":{"get":{"operationId":"api_utilizations_get_collection","tags":["Utilization"],"responses":{"200":{"description":"Utilization collection","content":{"application\/ld+json":{"schema":{"type":"object","properties":{"hydra:member":{"type":"array","items":{"$ref":"#\/components\/schemas\/Utilization.jsonld"}},"hydra:totalItems":{"type":"integer","minimum":0},"hydra:view":{"type":"object","properties":{"@id":{"type":"string","format":"iri-reference"},"@type":{"type":"string"},"hydra:first":{"type":"string","format":"iri-reference"},"hydra:last":{"type":"string","format":"iri-reference"},"hydra:previous":{"type":"string","format":"iri-reference"},"hydra:next":{"type":"string","format":"iri-reference"}},"example":{"@id":"string","type":"string","hydra:first":"string","hydra:last":"string","hydra:previous":"string","hydra:next":"string"}},"hydra:search":{"type":"object","properties":{"@type":{"type":"string"},"hydra:template":{"type":"string"},"hydra:variableRepresentation":{"type":"string"},"hydra:mapping":{"type":"array","items":{"type":"object","properties":{"@type":{"type":"string"},"variable":{"type":"string"},"property":{"type":["string","null"]},"required":{"type":"boolean"}}}}}}},"required":["hydra:member"]}},"application\/hal+json":{"schema":{"type":"object","properties":{"_embedded":{"anyOf":[{"type":"object","properties":{"item":{"type":"array","items":{"$ref":"#\/components\/schemas\/Utilization.jsonhal"}}}},{"type":"object"}]},"totalItems":{"type":"integer","minimum":0},"itemsPerPage":{"type":"integer","minimum":0},"_links":{"type":"object","properties":{"self":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"first":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"last":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"next":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"previous":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}}}}},"required":["_links","_embedded"]}},"application\/vnd.api+json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Utilization.jsonapi"}}},"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Utilization"}}},"application\/xml":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Utilization"}}},"text\/xml":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Utilization"}}},"text\/csv":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Utilization"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Utilization"}}}}},"403":{"description":"Forbidden"}},"summary":"Retrieves the collection of Utilization resources.","description":"Retrieves the collection of Utilization resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"itemsPerPage","in":"query","description":"The number of items per page","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":144,"minimum":0,"maximum":200},"style":"form","explode":false,"allowReserved":false},{"name":"id","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"id[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false},{"name":"point","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"point[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"type","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"type[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"granularity","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"granularity[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"granularitytimezone","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"granularitytimezone[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"classification","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"classification[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"activity","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"activity[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"validfrom[before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"validfrom[strictly_before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"validfrom[after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"validfrom[strictly_after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"order[validfrom]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string","default":"desc","enum":["asc","desc"]},"style":"form","explode":false,"allowReserved":false}],"deprecated":false}},"\/v1\/utilizations\/{id}":{"get":{"operationId":"api_utilizations_id_get","tags":["Utilization"],"responses":{"200":{"description":"Utilization resource","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Utilization.jsonld"}},"application\/hal+json":{"schema":{"$ref":"#\/components\/schemas\/Utilization.jsonhal"}},"application\/vnd.api+json":{"schema":{"$ref":"#\/components\/schemas\/Utilization.jsonapi"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Utilization"}},"application\/xml":{"schema":{"$ref":"#\/components\/schemas\/Utilization"}},"text\/xml":{"schema":{"$ref":"#\/components\/schemas\/Utilization"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/Utilization"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Utilization"}}}},"403":{"description":"Forbidden"},"404":{"description":"Resource not found"}},"summary":"Retrieves a Utilization resource.","description":"Retrieves a Utilization resource.","parameters":[{"name":"id","in":"path","description":"Utilization identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false}},"\/v1\/widgets":{"get":{"operationId":"api_widgets_get_collection","tags":["Widget"],"responses":{"200":{"description":"Widget collection","content":{"application\/ld+json":{"schema":{"type":"object","properties":{"hydra:member":{"type":"array","items":{"$ref":"#\/components\/schemas\/Widget.jsonld-read"}},"hydra:totalItems":{"type":"integer","minimum":0},"hydra:view":{"type":"object","properties":{"@id":{"type":"string","format":"iri-reference"},"@type":{"type":"string"},"hydra:first":{"type":"string","format":"iri-reference"},"hydra:last":{"type":"string","format":"iri-reference"},"hydra:previous":{"type":"string","format":"iri-reference"},"hydra:next":{"type":"string","format":"iri-reference"}},"example":{"@id":"string","type":"string","hydra:first":"string","hydra:last":"string","hydra:previous":"string","hydra:next":"string"}},"hydra:search":{"type":"object","properties":{"@type":{"type":"string"},"hydra:template":{"type":"string"},"hydra:variableRepresentation":{"type":"string"},"hydra:mapping":{"type":"array","items":{"type":"object","properties":{"@type":{"type":"string"},"variable":{"type":"string"},"property":{"type":["string","null"]},"required":{"type":"boolean"}}}}}}},"required":["hydra:member"]}},"application\/hal+json":{"schema":{"type":"object","properties":{"_embedded":{"anyOf":[{"type":"object","properties":{"item":{"type":"array","items":{"$ref":"#\/components\/schemas\/Widget.jsonhal-read"}}}},{"type":"object"}]},"totalItems":{"type":"integer","minimum":0},"itemsPerPage":{"type":"integer","minimum":0},"_links":{"type":"object","properties":{"self":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"first":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"last":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"next":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}},"previous":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}}}}},"required":["_links","_embedded"]}},"application\/vnd.api+json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Widget.jsonapi"}}},"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Widget-read"}}},"application\/xml":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Widget-read"}}},"text\/xml":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Widget-read"}}},"text\/csv":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Widget-read"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Widget-read"}}}}}},"summary":"Retrieves the collection of Widget resources.","description":"Retrieves the collection of Widget resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"itemsPerPage","in":"query","description":"The number of items per page","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":30,"minimum":0,"maximum":200},"style":"form","explode":false,"allowReserved":false},{"name":"hash","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"hash[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"owner","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"owner[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"validfrom[before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"validfrom[strictly_before]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"validfrom[after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"validfrom[strictly_after]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"order[validfrom]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string","default":"desc","enum":["asc","desc"]},"style":"form","explode":false,"allowReserved":false}],"deprecated":false},"post":{"operationId":"api_widgets_post","tags":["Widget"],"responses":{"201":{"description":"Widget resource created","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Widget.jsonld-read"}},"application\/hal+json":{"schema":{"$ref":"#\/components\/schemas\/Widget.jsonhal-read"}},"application\/vnd.api+json":{"schema":{"$ref":"#\/components\/schemas\/Widget.jsonapi"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Widget-read"}},"application\/xml":{"schema":{"$ref":"#\/components\/schemas\/Widget-read"}},"text\/xml":{"schema":{"$ref":"#\/components\/schemas\/Widget-read"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/Widget-read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Widget-read"}}},"links":{}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"403":{"description":"Forbidden"}},"summary":"Creates a Widget resource.","description":"Creates a Widget resource.","parameters":[],"requestBody":{"description":"The new Widget resource","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Widget.jsonld-admin.write"}},"application\/hal+json":{"schema":{"$ref":"#\/components\/schemas\/Widget.jsonhal-admin.write"}},"application\/vnd.api+json":{"schema":{"$ref":"#\/components\/schemas\/Widget.jsonapi"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Widget-admin.write"}},"application\/xml":{"schema":{"$ref":"#\/components\/schemas\/Widget-admin.write"}},"text\/xml":{"schema":{"$ref":"#\/components\/schemas\/Widget-admin.write"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/Widget-admin.write"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Widget-admin.write"}}},"required":true},"deprecated":false}},"\/v1\/widgets\/{hash}":{"get":{"operationId":"api_widgets_hash_get","tags":["Widget"],"responses":{"200":{"description":"Widget resource","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Widget.jsonld-read"}},"application\/hal+json":{"schema":{"$ref":"#\/components\/schemas\/Widget.jsonhal-read"}},"application\/vnd.api+json":{"schema":{"$ref":"#\/components\/schemas\/Widget.jsonapi"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Widget-read"}},"application\/xml":{"schema":{"$ref":"#\/components\/schemas\/Widget-read"}},"text\/xml":{"schema":{"$ref":"#\/components\/schemas\/Widget-read"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/Widget-read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Widget-read"}}}},"403":{"description":"Forbidden"},"404":{"description":"Resource not found"}},"summary":"Retrieves a Widget resource.","description":"Retrieves a Widget resource.","parameters":[{"name":"hash","in":"path","description":"Widget identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"put":{"operationId":"api_widgets_hash_put","tags":["Widget"],"responses":{"200":{"description":"Widget resource updated","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Widget.jsonld-read"}},"application\/hal+json":{"schema":{"$ref":"#\/components\/schemas\/Widget.jsonhal-read"}},"application\/vnd.api+json":{"schema":{"$ref":"#\/components\/schemas\/Widget.jsonapi"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Widget-read"}},"application\/xml":{"schema":{"$ref":"#\/components\/schemas\/Widget-read"}},"text\/xml":{"schema":{"$ref":"#\/components\/schemas\/Widget-read"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/Widget-read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Widget-read"}}},"links":{}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"403":{"description":"Forbidden"},"404":{"description":"Resource not found"}},"summary":"Replaces the Widget resource.","description":"Replaces the Widget resource.","parameters":[{"name":"hash","in":"path","description":"Widget identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated Widget resource","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Widget.jsonld-admin.write"}},"application\/hal+json":{"schema":{"$ref":"#\/components\/schemas\/Widget.jsonhal-admin.write"}},"application\/vnd.api+json":{"schema":{"$ref":"#\/components\/schemas\/Widget.jsonapi"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Widget-admin.write"}},"application\/xml":{"schema":{"$ref":"#\/components\/schemas\/Widget-admin.write"}},"text\/xml":{"schema":{"$ref":"#\/components\/schemas\/Widget-admin.write"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/Widget-admin.write"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Widget-admin.write"}}},"required":true},"deprecated":false},"delete":{"operationId":"api_widgets_hash_delete","tags":["Widget"],"responses":{"204":{"description":"Widget resource deleted"},"403":{"description":"Forbidden"},"404":{"description":"Resource not found"}},"summary":"Removes the Widget resource.","description":"Removes the Widget resource.","parameters":[{"name":"hash","in":"path","description":"Widget identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"patch":{"operationId":"api_widgets_hash_patch","tags":["Widget"],"responses":{"200":{"description":"Widget resource updated","content":{"application\/ld+json":{"schema":{"$ref":"#\/components\/schemas\/Widget.jsonld-read"}},"application\/hal+json":{"schema":{"$ref":"#\/components\/schemas\/Widget.jsonhal-read"}},"application\/vnd.api+json":{"schema":{"$ref":"#\/components\/schemas\/Widget.jsonapi"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Widget-read"}},"application\/xml":{"schema":{"$ref":"#\/components\/schemas\/Widget-read"}},"text\/xml":{"schema":{"$ref":"#\/components\/schemas\/Widget-read"}},"text\/csv":{"schema":{"$ref":"#\/components\/schemas\/Widget-read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Widget-read"}}},"links":{}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"403":{"description":"Forbidden"},"404":{"description":"Resource not found"}},"summary":"Updates the Widget resource.","description":"Updates the Widget resource.","parameters":[{"name":"hash","in":"path","description":"Widget identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated Widget resource","content":{"application\/merge-patch+json":{"schema":{"$ref":"#\/components\/schemas\/Widget-admin.write"}},"application\/vnd.api+json":{"schema":{"$ref":"#\/components\/schemas\/Widget.jsonapi"}}},"required":true},"deprecated":false}},"\/v1\/widgets\/{hash}\/renew":{"put":{"operationId":"api_widgets_hashrenew_put","tags":["Widget"],"responses":[{"description":"Successful renewed the hash key","content":[]},{"description":"Bad credentials","content":[]}],"summary":"Replaces the current widget hash key with a new one.","description":"Replaces the Widget resource.","parameters":[{"name":"hash","in":"path","description":"","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"","content":{"application\/ld+json":{"schema":{"example":"{}"}}},"required":false},"deprecated":false}}},"components":{"schemas":{"Activity":{"type":"object","description":"Gives the activity type of the energy record. (Ex providing or consuming)","deprecated":false,"properties":{"id":{"readOnly":true,"type":"integer"},"name":{"description":"Name of the activity.","type":"string"}}},"Activity.jsonapi":{"type":"object","description":"Gives the activity type of the energy record. (Ex providing or consuming)","deprecated":false,"properties":{"data":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"type":"object","properties":{"_id":{"readOnly":true,"type":"integer"},"name":{"description":"Name of the activity.","type":"string"}}}},"required":["type","id"]}}},"Activity.jsonhal":{"type":"object","description":"Gives the activity type of the energy record. (Ex providing or consuming)","deprecated":false,"properties":{"_links":{"type":"object","properties":{"self":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}}}},"id":{"readOnly":true,"type":"integer"},"name":{"description":"Name of the activity.","type":"string"}}},"Activity.jsonld":{"type":"object","description":"Gives the activity type of the energy record. (Ex providing or consuming)","deprecated":false,"properties":{"@id":{"readOnly":true,"type":"string"},"@type":{"readOnly":true,"type":"string"},"@context":{"readOnly":true,"oneOf":[{"type":"string"},{"type":"object","properties":{"@vocab":{"type":"string"},"hydra":{"type":"string","enum":["http:\/\/www.w3.org\/ns\/hydra\/core#"]}},"required":["@vocab","hydra"],"additionalProperties":true}]},"id":{"readOnly":true,"type":"integer"},"name":{"description":"Name of the activity.","type":"string"}}},"Authorisation":{"type":"object","description":"Gives the Authorisations for users.","deprecated":false,"properties":{"id":{"readOnly":true,"type":"integer"},"Point":{"description":"Point of the data.","type":"string","format":"iri-reference","example":"https:\/\/example.com\/"},"Type":{"description":"Type of the data.","type":"array","items":{"type":"string","format":"iri-reference","example":"https:\/\/example.com\/"}},"Granularity":{"description":"Granularity of the data.","type":"array","items":{"type":"string","format":"iri-reference","example":"https:\/\/example.com\/"}},"Classification":{"description":"Classification of the data. (Currently only near-realtime is supported)","type":"array","items":{"type":"string","format":"iri-reference","example":"https:\/\/example.com\/"}},"Activity":{"description":"Activity of the data.","type":"array","items":{"type":"string","format":"iri-reference","example":"https:\/\/example.com\/"}},"authFrom":{"description":"The date and time from which this authorisation becomes valid.","type":["string","null"],"format":"date-time"},"authTo":{"description":"The date and time until this authorisation is valid.","type":["string","null"],"format":"date-time"}}},"Authorisation.jsonapi":{"type":"object","description":"Gives the Authorisations for users.","deprecated":false,"properties":{"data":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"type":"object","properties":{"_id":{"readOnly":true,"type":"integer"},"authFrom":{"description":"The date and time from which this authorisation becomes valid.","type":["string","null"],"format":"date-time"},"authTo":{"description":"The date and time until this authorisation is valid.","type":["string","null"],"format":"date-time"}}},"relationships":{"type":"object","properties":{"Point":{"properties":{"data":{"type":"object","properties":{"type":{"type":"string"},"id":{"type":"string","format":"iri-reference"}}}}},"Type":{"properties":{"data":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string"},"id":{"type":"string","format":"iri-reference"}}}}}},"Granularity":{"properties":{"data":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string"},"id":{"type":"string","format":"iri-reference"}}}}}},"Classification":{"properties":{"data":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string"},"id":{"type":"string","format":"iri-reference"}}}}}},"Activity":{"properties":{"data":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string"},"id":{"type":"string","format":"iri-reference"}}}}}}}}},"required":["type","id"]},"included":{"description":"Related resources requested via the \"include\" query parameter.","type":"array","items":{"anyOf":[{"$ref":"#\/components\/schemas\/Authorisation.jsonapi"},{"$ref":"#\/components\/schemas\/Authorisation.jsonapi"},{"$ref":"#\/components\/schemas\/Authorisation.jsonapi"},{"$ref":"#\/components\/schemas\/Authorisation.jsonapi"},{"$ref":"#\/components\/schemas\/Authorisation.jsonapi"}]},"readOnly":true,"externalDocs":{"url":"https:\/\/jsonapi.org\/format\/#fetching-includes"}}}},"Authorisation.jsonhal":{"type":"object","description":"Gives the Authorisations for users.","deprecated":false,"properties":{"_links":{"type":"object","properties":{"self":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}}}},"id":{"readOnly":true,"type":"integer"},"Point":{"description":"Point of the data.","type":"string","format":"iri-reference","example":"https:\/\/example.com\/"},"Type":{"description":"Type of the data.","type":"array","items":{"type":"string","format":"iri-reference","example":"https:\/\/example.com\/"}},"Granularity":{"description":"Granularity of the data.","type":"array","items":{"type":"string","format":"iri-reference","example":"https:\/\/example.com\/"}},"Classification":{"description":"Classification of the data. (Currently only near-realtime is supported)","type":"array","items":{"type":"string","format":"iri-reference","example":"https:\/\/example.com\/"}},"Activity":{"description":"Activity of the data.","type":"array","items":{"type":"string","format":"iri-reference","example":"https:\/\/example.com\/"}},"authFrom":{"description":"The date and time from which this authorisation becomes valid.","type":["string","null"],"format":"date-time"},"authTo":{"description":"The date and time until this authorisation is valid.","type":["string","null"],"format":"date-time"}}},"Authorisation.jsonld":{"type":"object","description":"Gives the Authorisations for users.","deprecated":false,"properties":{"@id":{"readOnly":true,"type":"string"},"@type":{"readOnly":true,"type":"string"},"@context":{"readOnly":true,"oneOf":[{"type":"string"},{"type":"object","properties":{"@vocab":{"type":"string"},"hydra":{"type":"string","enum":["http:\/\/www.w3.org\/ns\/hydra\/core#"]}},"required":["@vocab","hydra"],"additionalProperties":true}]},"id":{"readOnly":true,"type":"integer"},"Point":{"description":"Point of the data.","type":"string","format":"iri-reference","example":"https:\/\/example.com\/"},"Type":{"description":"Type of the data.","type":"array","items":{"type":"string","format":"iri-reference","example":"https:\/\/example.com\/"}},"Granularity":{"description":"Granularity of the data.","type":"array","items":{"type":"string","format":"iri-reference","example":"https:\/\/example.com\/"}},"Classification":{"description":"Classification of the data. (Currently only near-realtime is supported)","type":"array","items":{"type":"string","format":"iri-reference","example":"https:\/\/example.com\/"}},"Activity":{"description":"Activity of the data.","type":"array","items":{"type":"string","format":"iri-reference","example":"https:\/\/example.com\/"}},"authFrom":{"description":"The date and time from which this authorisation becomes valid.","type":["string","null"],"format":"date-time"},"authTo":{"description":"The date and time until this authorisation is valid.","type":["string","null"],"format":"date-time"}}},"Classification":{"type":"object","description":"Gives the Classification type of the energy record. (Ex. Near-realtime or Forecast)","deprecated":false,"properties":{"id":{"readOnly":true,"type":"integer"},"name":{"description":"Name of the classification.","type":"string"}}},"Classification.jsonapi":{"type":"object","description":"Gives the Classification type of the energy record. (Ex. Near-realtime or Forecast)","deprecated":false,"properties":{"data":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"type":"object","properties":{"_id":{"readOnly":true,"type":"integer"},"name":{"description":"Name of the classification.","type":"string"}}}},"required":["type","id"]}}},"Classification.jsonhal":{"type":"object","description":"Gives the Classification type of the energy record. (Ex. Near-realtime or Forecast)","deprecated":false,"properties":{"_links":{"type":"object","properties":{"self":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}}}},"id":{"readOnly":true,"type":"integer"},"name":{"description":"Name of the classification.","type":"string"}}},"Classification.jsonld":{"type":"object","description":"Gives the Classification type of the energy record. (Ex. Near-realtime or Forecast)","deprecated":false,"properties":{"@id":{"readOnly":true,"type":"string"},"@type":{"readOnly":true,"type":"string"},"@context":{"readOnly":true,"oneOf":[{"type":"string"},{"type":"object","properties":{"@vocab":{"type":"string"},"hydra":{"type":"string","enum":["http:\/\/www.w3.org\/ns\/hydra\/core#"]}},"required":["@vocab","hydra"],"additionalProperties":true}]},"id":{"readOnly":true,"type":"integer"},"name":{"description":"Name of the classification.","type":"string"}}},"Granularity":{"type":"object","description":"Every Utilization data record is a grouped by a granularity. This table has the Granularity names.","deprecated":false,"properties":{"id":{"readOnly":true,"type":"integer"},"name":{"description":"Name of the Granularity.","type":"string"}}},"Granularity.jsonapi":{"type":"object","description":"Every Utilization data record is a grouped by a granularity. This table has the Granularity names.","deprecated":false,"properties":{"data":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"type":"object","properties":{"_id":{"readOnly":true,"type":"integer"},"name":{"description":"Name of the Granularity.","type":"string"}}}},"required":["type","id"]}}},"Granularity.jsonhal":{"type":"object","description":"Every Utilization data record is a grouped by a granularity. This table has the Granularity names.","deprecated":false,"properties":{"_links":{"type":"object","properties":{"self":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}}}},"id":{"readOnly":true,"type":"integer"},"name":{"description":"Name of the Granularity.","type":"string"}}},"Granularity.jsonld":{"type":"object","description":"Every Utilization data record is a grouped by a granularity. This table has the Granularity names.","deprecated":false,"properties":{"@id":{"readOnly":true,"type":"string"},"@type":{"readOnly":true,"type":"string"},"@context":{"readOnly":true,"oneOf":[{"type":"string"},{"type":"object","properties":{"@vocab":{"type":"string"},"hydra":{"type":"string","enum":["http:\/\/www.w3.org\/ns\/hydra\/core#"]}},"required":["@vocab","hydra"],"additionalProperties":true}]},"id":{"readOnly":true,"type":"integer"},"name":{"description":"Name of the Granularity.","type":"string"}}},"GranularityTimeZone":{"type":"object","description":"Every Granulairty is valid for a certain timezone, this data record holds the name of this timezone.","deprecated":false,"properties":{"id":{"readOnly":true,"type":"integer"},"name":{"description":"Name of the GranularityTimeZone.","type":"string"}}},"GranularityTimeZone.jsonapi":{"type":"object","description":"Every Granulairty is valid for a certain timezone, this data record holds the name of this timezone.","deprecated":false,"properties":{"data":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"type":"object","properties":{"_id":{"readOnly":true,"type":"integer"},"name":{"description":"Name of the GranularityTimeZone.","type":"string"}}}},"required":["type","id"]}}},"GranularityTimeZone.jsonhal":{"type":"object","description":"Every Granulairty is valid for a certain timezone, this data record holds the name of this timezone.","deprecated":false,"properties":{"_links":{"type":"object","properties":{"self":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}}}},"id":{"readOnly":true,"type":"integer"},"name":{"description":"Name of the GranularityTimeZone.","type":"string"}}},"GranularityTimeZone.jsonld":{"type":"object","description":"Every Granulairty is valid for a certain timezone, this data record holds the name of this timezone.","deprecated":false,"properties":{"@id":{"readOnly":true,"type":"string"},"@type":{"readOnly":true,"type":"string"},"@context":{"readOnly":true,"oneOf":[{"type":"string"},{"type":"object","properties":{"@vocab":{"type":"string"},"hydra":{"type":"string","enum":["http:\/\/www.w3.org\/ns\/hydra\/core#"]}},"required":["@vocab","hydra"],"additionalProperties":true}]},"id":{"readOnly":true,"type":"integer"},"name":{"description":"Name of the GranularityTimeZone.","type":"string"}}},"Point":{"type":"object","description":"Gives the Point of the energy record. (Can be, but not limited to, geographical points)","deprecated":false,"properties":{"id":{"readOnly":true,"description":"The unique auto incremented primary key.","type":"integer"},"identifier":{"type":"integer"},"name":{"description":"name of the point.","type":"string"},"nameshort":{"description":"Short (Four character) name of this point.","type":"string"},"validfrom":{"description":"The datetime when the record becomes valid.","type":"string","format":"date-time"},"validto":{"description":"The datetime when the record becomes invalid.","type":["string","null"],"format":"date-time"},"childpoints":{"description":"Point that is this records child(s)","type":"array","items":{"type":"string","format":"iri-reference","example":"https:\/\/example.com\/"}},"parentpoints":{"description":"Point that is this records parent(s)","type":"array","items":{"type":"string","format":"iri-reference","example":"https:\/\/example.com\/"}}}},"Point.jsonapi":{"type":"object","description":"Gives the Point of the energy record. (Can be, but not limited to, geographical points)","deprecated":false,"properties":{"data":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"type":"object","properties":{"_id":{"readOnly":true,"description":"The unique auto incremented primary key.","type":"integer"},"identifier":{"type":"integer"},"name":{"description":"name of the point.","type":"string"},"nameshort":{"description":"Short (Four character) name of this point.","type":"string"},"validfrom":{"description":"The datetime when the record becomes valid.","type":"string","format":"date-time"},"validto":{"description":"The datetime when the record becomes invalid.","type":["string","null"],"format":"date-time"}}},"relationships":{"type":"object","properties":{"childpoints":{"properties":{"data":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string"},"id":{"type":"string","format":"iri-reference"}}}}}},"parentpoints":{"properties":{"data":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string"},"id":{"type":"string","format":"iri-reference"}}}}}}}}},"required":["type","id"]},"included":{"description":"Related resources requested via the \"include\" query parameter.","type":"array","items":{"anyOf":[{"$ref":"#\/components\/schemas\/Point.jsonapi"},{"$ref":"#\/components\/schemas\/Point.jsonapi"}]},"readOnly":true,"externalDocs":{"url":"https:\/\/jsonapi.org\/format\/#fetching-includes"}}}},"Point.jsonhal":{"type":"object","description":"Gives the Point of the energy record. (Can be, but not limited to, geographical points)","deprecated":false,"properties":{"_links":{"type":"object","properties":{"self":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}}}},"id":{"readOnly":true,"description":"The unique auto incremented primary key.","type":"integer"},"identifier":{"type":"integer"},"name":{"description":"name of the point.","type":"string"},"nameshort":{"description":"Short (Four character) name of this point.","type":"string"},"validfrom":{"description":"The datetime when the record becomes valid.","type":"string","format":"date-time"},"validto":{"description":"The datetime when the record becomes invalid.","type":["string","null"],"format":"date-time"},"childpoints":{"description":"Point that is this records child(s)","type":"array","items":{"type":"string","format":"iri-reference","example":"https:\/\/example.com\/"}},"parentpoints":{"description":"Point that is this records parent(s)","type":"array","items":{"type":"string","format":"iri-reference","example":"https:\/\/example.com\/"}}}},"Point.jsonld":{"type":"object","description":"Gives the Point of the energy record. (Can be, but not limited to, geographical points)","deprecated":false,"properties":{"@id":{"readOnly":true,"type":"string"},"@type":{"readOnly":true,"type":"string"},"@context":{"readOnly":true,"oneOf":[{"type":"string"},{"type":"object","properties":{"@vocab":{"type":"string"},"hydra":{"type":"string","enum":["http:\/\/www.w3.org\/ns\/hydra\/core#"]}},"required":["@vocab","hydra"],"additionalProperties":true}]},"id":{"readOnly":true,"description":"The unique auto incremented primary key.","type":"integer"},"identifier":{"type":"integer"},"name":{"description":"name of the point.","type":"string"},"nameshort":{"description":"Short (Four character) name of this point.","type":"string"},"validfrom":{"description":"The datetime when the record becomes valid.","type":"string","format":"date-time"},"validto":{"description":"The datetime when the record becomes invalid.","type":["string","null"],"format":"date-time"},"childpoints":{"description":"Point that is this records child(s)","type":"array","items":{"type":"string","format":"iri-reference","example":"https:\/\/example.com\/"}},"parentpoints":{"description":"Point that is this records parent(s)","type":"array","items":{"type":"string","format":"iri-reference","example":"https:\/\/example.com\/"}}}},"Type":{"type":"object","description":"Gives the Type of the energy record. (Can be, but not limited to, energy sources such as solar, wind or biogas)","deprecated":false,"properties":{"id":{"readOnly":true,"description":"The unique auto incremented primary key.","type":"integer"},"identifier":{"type":"integer"},"name":{"description":"Name of the Type.","type":"string"},"nameshort":{"description":"Short (Four character) name of this Type.","type":"string"}}},"Type.jsonapi":{"type":"object","description":"Gives the Type of the energy record. (Can be, but not limited to, energy sources such as solar, wind or biogas)","deprecated":false,"properties":{"data":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"type":"object","properties":{"_id":{"readOnly":true,"description":"The unique auto incremented primary key.","type":"integer"},"identifier":{"type":"integer"},"name":{"description":"Name of the Type.","type":"string"},"nameshort":{"description":"Short (Four character) name of this Type.","type":"string"}}}},"required":["type","id"]}}},"Type.jsonhal":{"type":"object","description":"Gives the Type of the energy record. (Can be, but not limited to, energy sources such as solar, wind or biogas)","deprecated":false,"properties":{"_links":{"type":"object","properties":{"self":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}}}},"id":{"readOnly":true,"description":"The unique auto incremented primary key.","type":"integer"},"identifier":{"type":"integer"},"name":{"description":"Name of the Type.","type":"string"},"nameshort":{"description":"Short (Four character) name of this Type.","type":"string"}}},"Type.jsonld":{"type":"object","description":"Gives the Type of the energy record. (Can be, but not limited to, energy sources such as solar, wind or biogas)","deprecated":false,"properties":{"@id":{"readOnly":true,"type":"string"},"@type":{"readOnly":true,"type":"string"},"@context":{"readOnly":true,"oneOf":[{"type":"string"},{"type":"object","properties":{"@vocab":{"type":"string"},"hydra":{"type":"string","enum":["http:\/\/www.w3.org\/ns\/hydra\/core#"]}},"required":["@vocab","hydra"],"additionalProperties":true}]},"id":{"readOnly":true,"description":"The unique auto incremented primary key.","type":"integer"},"identifier":{"type":"integer"},"name":{"description":"Name of the Type.","type":"string"},"nameshort":{"description":"Short (Four character) name of this Type.","type":"string"}}},"User-read":{"type":"object","description":"User contains the information about users of this API.","deprecated":false,"properties":{"id":{"readOnly":true,"description":"The id of the user.","type":"integer"},"apikey":{"description":"The API key of the user.","type":"string"},"username":{"description":"The username","type":"string"}}},"User.jsonapi":{"type":"object","description":"User contains the information about users of this API.","deprecated":false,"properties":{"data":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"type":"object","properties":{"_id":{"readOnly":true,"description":"The id of the user.","type":"integer"},"apikey":{"readOnly":true,"description":"The API key of the user.","type":"string"},"username":{"readOnly":true,"description":"The username","type":"string"},"password":{"writeOnly":true,"description":"The password","type":"string"},"authFrom":{"writeOnly":true,"description":"The DateTime the user is allowed to login","type":["string","null"],"format":"date-time"},"authTo":{"writeOnly":true,"description":"The DateTime the user is not allowed to login anymore","type":["string","null"],"format":"date-time"},"rateLimit":{"writeOnly":true,"description":"The rate limit of the user","type":"integer"},"rateLimitInterval":{"writeOnly":true,"description":"The rate limit interval of the user","type":"integer"}}}},"required":["type","id"]}}},"User.jsonhal-read":{"type":"object","description":"User contains the information about users of this API.","deprecated":false,"properties":{"_links":{"type":"object","properties":{"self":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}}}},"id":{"readOnly":true,"description":"The id of the user.","type":"integer"},"apikey":{"description":"The API key of the user.","type":"string"},"username":{"description":"The username","type":"string"}}},"User.jsonld-read":{"type":"object","description":"User contains the information about users of this API.","deprecated":false,"properties":{"@context":{"readOnly":true,"oneOf":[{"type":"string"},{"type":"object","properties":{"@vocab":{"type":"string"},"hydra":{"type":"string","enum":["http:\/\/www.w3.org\/ns\/hydra\/core#"]}},"required":["@vocab","hydra"],"additionalProperties":true}]},"@id":{"readOnly":true,"type":"string"},"@type":{"readOnly":true,"type":"string"},"id":{"readOnly":true,"description":"The id of the user.","type":"integer"},"apikey":{"description":"The API key of the user.","type":"string"},"username":{"description":"The username","type":"string"}}},"Utilization":{"type":"object","description":"Utilization holds the capacity volume and utilization percentage for a given point, type and granularity.","deprecated":false,"properties":{"id":{"readOnly":true,"type":"string"},"point":{"description":"The point where the data is corresponding to. - Can be but not limited to geographical points.","type":"string","format":"iri-reference","example":"https:\/\/example.com\/"},"type":{"description":"The type where the data is corresponding to. - Can be but not limited to types of energy sources or types energy consumers.","type":"string","format":"iri-reference","example":"https:\/\/example.com\/"},"granularity":{"description":"The granularity where the data is corresponding to. - Currently supported (10Min, Hourly, Daily, Monthly, Yearly).","type":"string","format":"iri-reference","example":"https:\/\/example.com\/"},"granularitytimezone":{"description":"The GranularityTimeZone where the data is corresponding to. - Currently supported (UTC or Europe\/Amsterdam).","type":"string","format":"iri-reference","example":"https:\/\/example.com\/"},"activity":{"description":"Providing or Consuming energy. (Currently only providing is supported)","type":"string","format":"iri-reference","example":"https:\/\/example.com\/"},"classification":{"description":"Classification of the data. (Currently only near-realtime is supported)","type":"string","format":"iri-reference","example":"https:\/\/example.com\/"},"capacity":{"description":"The capacity in Kilowatts.","type":"string"},"volume":{"description":"The volume in Kilowatt hours.","type":"string"},"percentage":{"description":"Percentage of utilization of the total installed Capacity.","type":"number"},"emission":{"description":"Emission value CO2\/ton","type":["integer","null"]},"emissionfactor":{"description":"Emissionfactor","type":["number","null"]},"validfrom":{"description":"The datetime when the record becomes valid.","type":"string","format":"date-time"},"validto":{"description":"The datetime when the record becomes invalid.","type":"string","format":"date-time"},"lastupdate":{"description":"The datetime when the record has last received an update.","default":"CURRENT_TIMESTAMP","example":"CURRENT_TIMESTAMP","type":"string","format":"date-time"}}},"Utilization.jsonapi":{"type":"object","description":"Utilization holds the capacity volume and utilization percentage for a given point, type and granularity.","deprecated":false,"properties":{"id":{"readOnly":true,"type":"string"},"point":{"description":"The point where the data is corresponding to. - Can be but not limited to geographical points.","type":"string","format":"iri-reference","example":"https:\/\/example.com\/"},"type":{"description":"The type where the data is corresponding to. - Can be but not limited to types of energy sources or types energy consumers.","type":"string","format":"iri-reference","example":"https:\/\/example.com\/"},"granularity":{"description":"The granularity where the data is corresponding to. - Currently supported (10Min, Hourly, Daily, Monthly, Yearly).","type":"string","format":"iri-reference","example":"https:\/\/example.com\/"},"granularitytimezone":{"description":"The GranularityTimeZone where the data is corresponding to. - Currently supported (UTC or Europe\/Amsterdam).","type":"string","format":"iri-reference","example":"https:\/\/example.com\/"},"activity":{"description":"Providing or Consuming energy. (Currently only providing is supported)","type":"string","format":"iri-reference","example":"https:\/\/example.com\/"},"classification":{"description":"Classification of the data. (Currently only near-realtime is supported)","type":"string","format":"iri-reference","example":"https:\/\/example.com\/"},"capacity":{"description":"The capacity in Kilowatts.","type":"string"},"volume":{"description":"The volume in Kilowatt hours.","type":"string"},"percentage":{"description":"Percentage of utilization of the total installed Capacity.","type":"number"},"emission":{"description":"Emission value CO2\/ton","type":["integer","null"]},"emissionfactor":{"description":"Emissionfactor","type":["number","null"]},"validfrom":{"description":"The datetime when the record becomes valid.","type":"string","format":"date-time"},"validto":{"description":"The datetime when the record becomes invalid.","type":"string","format":"date-time"},"lastupdate":{"description":"The datetime when the record has last received an update.","default":"CURRENT_TIMESTAMP","example":"CURRENT_TIMESTAMP","type":"string","format":"date-time"}}},"Utilization.jsonhal":{"type":"object","description":"Utilization holds the capacity volume and utilization percentage for a given point, type and granularity.","deprecated":false,"properties":{"_links":{"type":"object","properties":{"self":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}}}},"id":{"readOnly":true,"type":"string"},"point":{"description":"The point where the data is corresponding to. - Can be but not limited to geographical points.","type":"string","format":"iri-reference","example":"https:\/\/example.com\/"},"type":{"description":"The type where the data is corresponding to. - Can be but not limited to types of energy sources or types energy consumers.","type":"string","format":"iri-reference","example":"https:\/\/example.com\/"},"granularity":{"description":"The granularity where the data is corresponding to. - Currently supported (10Min, Hourly, Daily, Monthly, Yearly).","type":"string","format":"iri-reference","example":"https:\/\/example.com\/"},"granularitytimezone":{"description":"The GranularityTimeZone where the data is corresponding to. - Currently supported (UTC or Europe\/Amsterdam).","type":"string","format":"iri-reference","example":"https:\/\/example.com\/"},"activity":{"description":"Providing or Consuming energy. (Currently only providing is supported)","type":"string","format":"iri-reference","example":"https:\/\/example.com\/"},"classification":{"description":"Classification of the data. (Currently only near-realtime is supported)","type":"string","format":"iri-reference","example":"https:\/\/example.com\/"},"capacity":{"description":"The capacity in Kilowatts.","type":"string"},"volume":{"description":"The volume in Kilowatt hours.","type":"string"},"percentage":{"description":"Percentage of utilization of the total installed Capacity.","type":"number"},"emission":{"description":"Emission value CO2\/ton","type":["integer","null"]},"emissionfactor":{"description":"Emissionfactor","type":["number","null"]},"validfrom":{"description":"The datetime when the record becomes valid.","type":"string","format":"date-time"},"validto":{"description":"The datetime when the record becomes invalid.","type":"string","format":"date-time"},"lastupdate":{"description":"The datetime when the record has last received an update.","default":"CURRENT_TIMESTAMP","example":"CURRENT_TIMESTAMP","type":"string","format":"date-time"}}},"Utilization.jsonld":{"type":"object","description":"Utilization holds the capacity volume and utilization percentage for a given point, type and granularity.","deprecated":false,"properties":{"@id":{"readOnly":true,"type":"string"},"@type":{"readOnly":true,"type":"string"},"@context":{"readOnly":true,"oneOf":[{"type":"string"},{"type":"object","properties":{"@vocab":{"type":"string"},"hydra":{"type":"string","enum":["http:\/\/www.w3.org\/ns\/hydra\/core#"]}},"required":["@vocab","hydra"],"additionalProperties":true}]},"id":{"readOnly":true,"type":"string"},"point":{"description":"The point where the data is corresponding to. - Can be but not limited to geographical points.","type":"string","format":"iri-reference","example":"https:\/\/example.com\/"},"type":{"description":"The type where the data is corresponding to. - Can be but not limited to types of energy sources or types energy consumers.","type":"string","format":"iri-reference","example":"https:\/\/example.com\/"},"granularity":{"description":"The granularity where the data is corresponding to. - Currently supported (10Min, Hourly, Daily, Monthly, Yearly).","type":"string","format":"iri-reference","example":"https:\/\/example.com\/"},"granularitytimezone":{"description":"The GranularityTimeZone where the data is corresponding to. - Currently supported (UTC or Europe\/Amsterdam).","type":"string","format":"iri-reference","example":"https:\/\/example.com\/"},"activity":{"description":"Providing or Consuming energy. (Currently only providing is supported)","type":"string","format":"iri-reference","example":"https:\/\/example.com\/"},"classification":{"description":"Classification of the data. (Currently only near-realtime is supported)","type":"string","format":"iri-reference","example":"https:\/\/example.com\/"},"capacity":{"description":"The capacity in Kilowatts.","type":"string"},"volume":{"description":"The volume in Kilowatt hours.","type":"string"},"percentage":{"description":"Percentage of utilization of the total installed Capacity.","type":"number"},"emission":{"description":"Emission value CO2\/ton","type":["integer","null"]},"emissionfactor":{"description":"Emissionfactor","type":["number","null"]},"validfrom":{"description":"The datetime when the record becomes valid.","type":"string","format":"date-time"},"validto":{"description":"The datetime when the record becomes invalid.","type":"string","format":"date-time"},"lastupdate":{"description":"The datetime when the record has last received an update.","default":"CURRENT_TIMESTAMP","example":"CURRENT_TIMESTAMP","type":"string","format":"date-time"}}},"Widget-admin.write":{"type":"object","description":"","deprecated":false,"externalDocs":{"url":"widgets"},"required":["requestlimit","requestinterval","owner"],"properties":{"requestlimit":{"exclusiveMinimum":0,"type":"integer"},"requestinterval":{"type":"string"},"validfrom":{"type":"string","format":"date-time"},"validto":{"type":"string","format":"date-time"},"owner":{"type":"string","format":"iri-reference","example":"https:\/\/example.com\/"},"act":{"type":["string","null"]},"acl":{"type":["array","null"],"items":{"type":"string"}}}},"Widget-read":{"type":"object","description":"","deprecated":false,"externalDocs":{"url":"widgets"}},"Widget-widget_key_renew":{"type":"object","description":"","deprecated":false,"externalDocs":{"url":"widgets"},"properties":{"hash":{"minLength":64,"maxLength":64,"type":"string"}}},"Widget.jsonapi":{"type":"object","description":"","deprecated":false,"externalDocs":{"url":"widgets"},"properties":{"data":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"type":"object","properties":{"requestlimit":{"exclusiveMinimum":0,"writeOnly":true,"type":"integer"},"requestinterval":{"writeOnly":true,"type":"string"},"validfrom":{"writeOnly":true,"type":"string","format":"date-time"},"validto":{"writeOnly":true,"type":"string","format":"date-time"},"act":{"writeOnly":true,"type":["string","null"]},"acl":{"writeOnly":true,"type":["array","null"],"items":{"type":"string"}}},"required":["requestlimit","requestinterval"]},"relationships":{"type":"object","properties":{"owner":{"properties":{"data":{"type":"object","properties":{"type":{"type":"string"},"id":{"type":"string","format":"iri-reference"}}}}}},"required":["owner"]}},"required":["type","id"]},"included":{"description":"Related resources requested via the \"include\" query parameter.","type":"array","items":{"anyOf":[{"$ref":"#\/components\/schemas\/Widget.jsonapi"}]},"readOnly":true,"externalDocs":{"url":"https:\/\/jsonapi.org\/format\/#fetching-includes"}}}},"Widget.jsonhal-admin.write":{"type":"object","description":"","deprecated":false,"externalDocs":{"url":"widgets"},"required":["requestlimit","requestinterval","owner"],"properties":{"_links":{"type":"object","properties":{"self":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}}}},"requestlimit":{"exclusiveMinimum":0,"type":"integer"},"requestinterval":{"type":"string"},"validfrom":{"type":"string","format":"date-time"},"validto":{"type":"string","format":"date-time"},"owner":{"type":"string","format":"iri-reference","example":"https:\/\/example.com\/"},"act":{"type":["string","null"]},"acl":{"type":["array","null"],"items":{"type":"string"}}}},"Widget.jsonhal-read":{"type":"object","description":"","deprecated":false,"externalDocs":{"url":"widgets"},"properties":{"_links":{"type":"object","properties":{"self":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}}}}}},"Widget.jsonhal-widget_key_renew":{"type":"object","description":"","deprecated":false,"externalDocs":{"url":"widgets"},"properties":{"_links":{"type":"object","properties":{"self":{"type":"object","properties":{"href":{"type":"string","format":"iri-reference"}}}}},"hash":{"minLength":64,"maxLength":64,"type":"string"}}},"Widget.jsonld-admin.write":{"type":"object","description":"","deprecated":false,"externalDocs":{"url":"widgets"},"required":["requestlimit","requestinterval","owner"],"properties":{"requestlimit":{"exclusiveMinimum":0,"type":"integer"},"requestinterval":{"type":"string"},"validfrom":{"type":"string","format":"date-time"},"validto":{"type":"string","format":"date-time"},"owner":{"type":"string","format":"iri-reference","example":"https:\/\/example.com\/"},"act":{"type":["string","null"]},"acl":{"type":["array","null"],"items":{"type":"string"}}}},"Widget.jsonld-read":{"type":"object","description":"","deprecated":false,"externalDocs":{"url":"widgets"},"properties":{"@context":{"readOnly":true,"oneOf":[{"type":"string"},{"type":"object","properties":{"@vocab":{"type":"string"},"hydra":{"type":"string","enum":["http:\/\/www.w3.org\/ns\/hydra\/core#"]}},"required":["@vocab","hydra"],"additionalProperties":true}]},"@id":{"readOnly":true,"type":"string"},"@type":{"readOnly":true,"type":"string"}}},"Widget.jsonld-widget_key_renew":{"type":"object","description":"","deprecated":false,"externalDocs":{"url":"widgets"},"properties":{"@context":{"readOnly":true,"oneOf":[{"type":"string"},{"type":"object","properties":{"@vocab":{"type":"string"},"hydra":{"type":"string","enum":["http:\/\/www.w3.org\/ns\/hydra\/core#"]}},"required":["@vocab","hydra"],"additionalProperties":true}]},"@id":{"readOnly":true,"type":"string"},"@type":{"readOnly":true,"type":"string"},"hash":{"minLength":64,"maxLength":64,"type":"string"}}}},"responses":{},"parameters":{},"examples":{},"requestBodies":{}
[...]
